// gnome.xonotic.in.ua

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/neon/orange
{
	qer_editorimage textures/neon/orange.tga
	qer_trans 0.5
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 160
	q3map_backsplash 0 0
	q3map_lightsubdivide 64
	cull none
	tesssize 64
	{
		map textures/neon/orange2.tga
	}
	{
		map textures/neon/orange2.tga
		tcmod scroll 0.01 -0.5
		tcmod turb 0 .2 0 0.2
		blendfunc gl_one gl_one
	}
	{
		map textures/neon/orange.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/neon/white
{
	qer_editorimage textures/neon/white1.tga
	qer_trans 0.5
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 175
	q3map_backsplash 0 0
	q3map_lightsubdivide 64
	cull none
	tesssize 64
	{
		map textures/neon/white2.tga
	}
	{
		map textures/neon/white2.tga
		tcmod scroll 0.01 -0.5
		tcmod turb 0 .2 0 0.2
		blendfunc gl_one gl_one
	}
	{
		map textures/neon/white1.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pukka3tourney4/rock
{
	qer_editorimage textures/pukka3tourney4/rock.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/rock.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/rock2.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 0.5 0.5
	}
}

textures/pukka3tourney5/base_light
{
	qer_editorimage textures/pukka3tourney5/base_light.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney5/base_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney5/base_light_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney5/coffesupport
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/pukka3tourney5/coffesupport.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pukka3tourney5/e8yarrow
{
	surfaceparm nomarks
	nopicmip
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/pukka3tourney5/e8yarrow.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/pukka3tourney5/hazard
{
	surfaceparm nomarks
	nopicmip
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/pukka3tourney5/hazard.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/pukka3tourney5/teleporter
{
	qer_editorimage textures/pukka3tourney5/electricgrade3.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	q3map_surfacelight 150
	{
		map textures/pukka3tourney5/electricgrade3.tga
		alphagen const 0.25
		tcmod turb 0 0.05 0 0.5
		tcmod scroll 1 1
		tcmod scale 1 4
		blendfunc add
	}
	{
		map textures/pukka3tourney5/electricgrade3.tga
		alphagen const 0.25
		tcgen environment
		tcmod turb 0 0.05 0 0.5
		tcmod scroll 1 1
		blendfunc add
	}
	{
		map textures/pukka3tourney5/electricgrade3.tga
		alphagen const 0.25
		tcmod turb 0 0.05 0 0.5
		tcmod scroll -0.5 -0.5
		tcmod scale 0.25 0.25
		blendfunc add
	}
}

textures/pukkafx/water
{
	qer_editorimage textures/pukkafx/water.tga
	qer_trans .75
	q3map_normalimage textures/pukkafx/bump.tga
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	tesssize 32
	deformvertexes normal .5 .5
	deformvertexes wave 128 sin .5 .5 0 .5
	{
		map textures/pukkafx/water2.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcmod scroll .01 .01
	}
	{
		map textures/pukkafx/water3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.05 .001
	}
}

textures/skies/hellsky2bright
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 100 220 50
	q3map_surfacelight 120
	qer_editorimage textures/skies/toxicsky.tga
	skyparms env/exosystem/exosystem2 - -
}

